Subject: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: VanL <[email-masked]>
Date: Tue, 9 Jul 2019 16:52:26 +1000

> On 9 Jul 2019, at 12:06, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> I'm not quite sure I follow -- you try to install org from ELPA, but it
> fails?  Do you get any error messages?

Yes, there was an error message but I've forgotten it.

What I did was list and install packages without any settings for package-archives in the init.el.  This was possible for which-key and hyperbole.  The install process failed to complete for org from gnu/elpa.  

Setting the ("org" . "https://orgmode.org/elpa/") as part of package-archives enabled org from orgmode/elpa to install.

To be clear. Without the following section at the top of init.el, I was able to install which-key and hyperbole but not org.

--8<---------------cut here---------------start------------->8---
;;; package management
(require 'package)
(package-initialize)
(setq package-archives '(("gnu" . "https://elpa.gnu.org/packages/")
			 ("org" . "https://orgmode.org/elpa/")
			 ("melpa" . "https://melpa.org/packages/")))
--8<---------------cut here---------------end--------------->8---